Bug 138835 - CAN-2004-1027 unarj directory traversal issue
Summary: CAN-2004-1027 unarj directory traversal issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: unarj   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact:
URL:
Whiteboard: impact=low,reported=20041109
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-11 14:47 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 18:38:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:007 normal SHIPPED_LIVE Low: unarj security update 2005-01-12 05:00:00 UTC

Description Josh Bressers 2004-11-11 14:47:02 UTC
This message was posted to full-disclosure

http://lists.netsys.com/pipermail/full-disclosure/2004-October/027348.html

after decoding it, it basically says there is a directory traversal
hole in unarj.

It is possible for an attacker to create a specially crafted arj
archive, which when a user extracts with the x flag, it is possible
for a file to be placed anywhere the user running arj has write
permissions.

Comment 1 Josh Bressers 2004-11-11 14:57:25 UTC
attachment 106504 [details]
contains a demo exploit for this issue.

Comment 3 Josh Bressers 2005-01-12 18:38:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-007.html



Note You need to log in before you can comment on or make changes to this bug.